# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CopyTexSubImage Class Reference

Wrapper class of the OpenGL function glCopyTexSubImage. More...

`#include <CopyTexSubImage.hpp>`

Inheritance diagram for vl::CopyTexSubImage:

List of all members.

## Public Member Functions

| CopyTexSubImage ()
EReadDrawBuffer | readBuffer () const
void | setReadBuffer (EReadDrawBuffer render_buffer)
virtual bool | renderingCallback (const RenderingAbstract *, ERenderingCallback reason)
| Implements the actual code to be executed upon callback activation.
virtual void | copyPixels ()=0
| Copies the pixels from the specified read buffer to the specified texture.

## Protected Attributes

EReadDrawBuffer | mReadBuffer

## Detailed Description

Wrapper class of the OpenGL function glCopyTexSubImage.

Is the base class of CopyTexSubImage1D, CopyTexSubImage2D, CopyTexSubImage3D. Copies a rectangular pixels area from the specified read buffer to the specified portion of the texture. Can be bound to a Rendering as a RenderingCallback in order to automatically copy the result of a rendering into a texture, see Rendering.

Note:
  This class supports Frame-Buffer-Objects, 3D textures, cubemaps.

See also:
  FBORenderTarget, FBOAttachmentAbstract, Rendering, RenderingCallback, CopyTexSubImage1D, CopyTexSubImage2D, CopyTexSubImage3D

## Constructor & Destructor Documentation

vl::CopyTexSubImage::CopyTexSubImage | ( |  | ) | `[inline]`

## Member Function Documentation

EReadDrawBuffer vl::CopyTexSubImage::readBuffer | ( |  | ) | const`[inline]`

void vl::CopyTexSubImage::setReadBuffer | ( | EReadDrawBuffer | render_buffer | ) | `[inline]`

virtual bool vl::CopyTexSubImage::renderingCallback | ( | const RenderingAbstract * | rendering,
|  | ERenderingCallback | reason |
| ) |  |  | `[inline, virtual]`

Implements the actual code to be executed upon callback activation.

Returns:
  `true` if the callback reacted to the given reason

Implements vl::RenderingCallback.

virtual void vl::CopyTexSubImage::copyPixels | ( |  | ) | `[pure virtual]`

Copies the pixels from the specified read buffer to the specified texture.

Implemented in vl::CopyTexSubImage1D, vl::CopyTexSubImage2D, and vl::CopyTexSubImage3D.

## Member Data Documentation

EReadDrawBuffer vl::CopyTexSubImage::mReadBuffer`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CopyTexSubImage.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:34 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.